# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.commons.testing.integration.HttpTestBase
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_TYPE_CSS`
`"text/css"`
`public static final String`
`CONTENT_TYPE_DONTCARE`
`"*"`
`public static final String`
`CONTENT_TYPE_HTML`
`"text/html"`
`public static final String`
`CONTENT_TYPE_JS`
`"application/javascript"`
`public static final String`
`CONTENT_TYPE_JSON`
`"application/json"`
`public static final String`
`CONTENT_TYPE_PLAIN`
`"text/plain"`
`public static final String`
`CONTENT_TYPE_XML`
`"application/xml"`
`public static final String`
`DEFAULT_EXT`
`".txt"`
`public static final String`
`DEFAULT_READINESS_MEDIA_TYPE`
`".txt:text/plain"`
`public static final String`
`HTTP_METHOD_GET`
`"GET"`
`public static final String`
`HTTP_METHOD_POST`
`"POST"`
`public static final int`
`MAX_READY_URL_INDEX`
`50`
`public static final String`
`PROPERTY_SKIP_STARTUP_CHECK`
`"launchpad.skip.startupcheck"`
`public static final String`
`READINESS_MEDIA_TYPE_PROP`
`"launchpad.readiness.mediatype"`
`public static final String`
`READY_URL_PROP_PREFIX`
`"launchpad.ready."`
`public static final String`
`SLING_POST_SERVLET_CREATE_SUFFIX`
`"/"`
`public static final String`
`SLING_RESOURCE_TYPE`
`"sling:resourceType"`
`public static final String`
`TEST_PATH`
`"/launchpad-integration-tests"`

org.apache.sling.commons.testing.jcr.EventHelper
Modifier and Type
Constant Field
Value
`public static final String`
`WAIT_NODE_FOLDER`
`"WAIT_NODE"`
org.apache.sling.commons.testing.jcr.RepositoryUtil
Modifier and Type
Constant Field
Value
`public static final String`
`ADMIN_NAME`
`"admin"`
`public static final String`
`ADMIN_PASSWORD`
`"admin"`
`public static final String`
`CONFIG_FILE`
`"jackrabbit-test-config.xml"`
`public static final String`
`HOME_DIR`
`"target/repository"`

org.apache.sling.commons.testing.junit.RetryRule
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_DEFAULT_INTERVAL_MSEC`
`500`
`public static final int`
`DEFAULT_DEFAULT_TIMEOUT_MSEC`
`5000`

org.apache.sling.commons.testing.sling.MockSlingHttpServletRequest
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_TYPE`
`"foo/bar"`